//---------------------------------------------------------------------------

#ifndef CommandH
#define CommandH
//---------------------------------------------------------------------------

#include <System.hpp>

class Command
{
public:
	enum Type
	{
		CALL = 0,
		ANSWER,
		SEND_DIGIT,
		TRANSFER,
		HOLD,
		HANGUP,
		SET_MSG_LOGGING,
		REREGISTER,
		UNREGISTER,
		MUTE,
		START_RING,			///< start playing ring tone / wave file
		STOP_RING,			///< stop playing ring wave file
		RECORD,
		PAGING_TX
	} type;

	AnsiString target;
	int accountId;
	int callId;
	int code;
	char key;
	bool bEnabled;
	AnsiString audioOutMod;
	AnsiString audioOutDev;
	AnsiString pagingTxWaveFile;	///< source wave file for paging TX; default audio source is used if empty
	AnsiString pagingTxCodec;
	unsigned int channels;
};

#endif
